import { NgModule, ModuleWithProviders } from '@angular/core';
import { StoreModule } from '@ngrx/store';
import { EffectsModule } from '@ngrx/effects';

import { reducer, Effects } from './store';

@NgModule({
  imports: [
    StoreModule.forFeature('dashboard', reducer),
    EffectsModule.forFeature([Effects])
  ]
})
export class DashboardStoreModule {}
